Bug 1635265

Summary: /var/run/redis directory not created by RPM (redis-3.2.12-1.el6.x86_64)
Product: [Fedora] Fedora EPEL Reporter: kristiaan.bonjean
Component: redisAssignee: Flavio Percoco <fpercoco>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el6CC: cmelaro, extras-qa, fabian.deutsch, fpercoco, jal233, nathans
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: All   
Whiteboard:
Fixed In Version: redis-3.2.12-2.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1592931 Environment:
Last Closed: 2018-10-31 19:27:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description kristiaan.bonjean 2018-10-02 13:42:17 UTC
+++ This bug was initially created as a clone of Bug #1592931 +++

Description of problem:
/var/run/redis directory not created by RPM

Version-Release number of selected component (if applicable):
redis-3.2.12-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install RPM and /var/run/redis directory does not exist.
2.
3.

Actual results:


Expected results:
Expect /var/run/redis directory to exist after RPM installed.

Additional info:

[root@host ~]# ls -l /var/run/redis
ls: cannot access /var/run/redis: No such file or directory
[root@host ~]# rpm -ql redis
...
/usr/share/man/man5/redis.conf.5.gz
/var/lib/redis
/var/log/redis
/var/run/redis
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# ps aux|grep redis
root     10478  0.0  0.0 105368   892 pts/0    S+   13:33   0:00 grep --color=auto redis
[root@host ~]# service redis start
Starting redis-server:                                     [  OK  ]
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# ps aux|grep redis
redis    10503  0.0  0.1 141536  2056 ?        Ssl  13:33   0:00 /usr/bin/redis-server 127.0.0.1:6379                                                    
root     10615  0.0  0.0 105368   892 pts/0    S+   13:33   0:00 grep --color=auto redis
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# service redis stop
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# ps aux|grep redis
redis    10503  0.0  0.1 141536  2056 ?        Ssl  13:33   0:00 /usr/bin/redis-server 127.0.0.1:6379                                                    
root     10714  0.0  0.0 105368   888 pts/0    S+   13:33   0:00 grep --color=auto redis
[root@host ~]# pkill -f redis
[root@host ~]# ps aux|grep redis
root     11125  0.0  0.0 105368   888 pts/0    S+   13:37   0:00 grep --color=auto redis

From this reproduction, I see:
1) /var/run/redis folder is marked as part of redis RPM, however after RPM installation it's not present on the system
2) the init script is flawed, as a start is successful even though the PID file could not be written
3) as a nasty result of this, the process is actually running even though the init script mentions it's stopped, and can't even be stopped with the init script

Ticket #1592931 reported exactly the same behaviour, and this should've been fixed in redis-3.2.12-1.el6, but clearly this isn't the case. Maybe the 1592931 fixes have been tested and worked for EL7, but not for EL6?

Thanks for looking at this again!!

Comment 1 Fedora Update System 2018-10-26 07:07:37 UTC
redis-3.2.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dc1208866b

Comment 2 kristiaan.bonjean 2018-10-26 11:52:11 UTC
Tested build 1155986:

[root@host ~]# ll /var/run/redis
ls: cannot access /var/run/redis: No such file or directory
[root@host ~]# yum -y install /tmp/redis-3.2.12-2.el6.x86_64.rpm 
...
Complete!
[root@host ~]# ll /var/run/redis
total 0
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# service redis start
Starting redis-server:                                     [  OK  ]
[root@host ~]# service redis status
redis-server (pid  8386) is running...
[root@host ~]# ps aux|grep redis
redis     8386  0.2  0.1 141536  2060 ?        Ssl  11:45   0:00 /usr/bin/redis-server 127.0.0.1:6379                                                    
root      8456  0.0  0.0 105368   892 pts/0    S+   11:46   0:00 grep --color=auto redis
[root@host ~]# service redis stop
Stopping redis-server:                                     [  OK  ]
[root@host ~]# ps aux|grep redis
root      8518  0.0  0.0 105368   888 pts/0    R+   11:46   0:00 grep --color=auto redis
[root@host ~]# service redis status
redis-server is stopped
[root@host ~]# find /var/run/redis
/var/run/redis
[root@host ~]# service redis start
Starting redis-server:                                     [  OK  ]
[root@host ~]# service redis status
redis-server (pid  8594) is running...
[root@host ~]# find /var/run/redis
/var/run/redis
/var/run/redis/redis.pid

Seems to work fine now, thanks!

Comment 3 Fedora Update System 2018-10-26 17:53:59 UTC
redis-3.2.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dc1208866b

Comment 4 Nathan Scott 2018-10-26 20:45:41 UTC
| Seems to work fine now, thanks!

Great - thanks for testing it out Kristiaan!

Comment 5 Fedora Update System 2018-10-31 19:27:21 UTC
redis-3.2.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.